Bug 1655285 - [abrt] system-config-language: setup_conditional_pkgs(): install_packages3.py:169:setup_conditional_pkgs:AttributeError: 'Metadata' object has no attribute 'comps_fn'
Summary: [abrt] system-config-language: setup_conditional_pkgs(): install_packages3.py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c0f1858effb4792d047a056916c...
: 1659034 1692034 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 12:05 UTC by ali.sherif10
Modified: 2019-03-23 14:26 UTC (History)
6 users (show)

Fixed In Version: system-config-language-3.5.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-15 03:18:43 UTC


Attachments (Terms of Use)
File: backtrace (1.11 KB, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: cgroup (346 bytes, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: environ (185 bytes, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: mountinfo (3.65 KB, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details
File: open_fds (2.75 KB, text/plain)
2018-12-02 12:05 UTC, ali.sherif10
no flags Details

Description ali.sherif10 2018-12-02 12:05:28 UTC
Description of problem:
I can't use it to change language. I found the crash then reported it.
The cause might be trying to change the language.

Version-Release number of selected component:
system-config-language-3.4.2-7.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/system-config-language/system-config-language.py
crash_function: setup_conditional_pkgs
exception_type: AttributeError
executable:     /usr/share/system-config-language/system-config-language.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.4-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
install_packages3.py:169:setup_conditional_pkgs:AttributeError: 'Metadata' object has no attribute 'comps_fn'

Traceback (most recent call last):
  File "/usr/share/system-config-language/install_packages3.py", line 167, in setup_conditional_pkgs
    comps_fn = repo.metadata._comps_fn
AttributeError: 'Metadata' object has no attribute '_comps_fn'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 307, in ok_btn
    installed = self.instpkg.install_packages3(dlang)
  File "/usr/share/system-config-language/install_packages3.py", line 238, in install_packages3
    self.setup_conditional_pkgs(repos)
  File "/usr/share/system-config-language/install_packages3.py", line 169, in setup_conditional_pkgs
    comps_fn = repo.metadata.comps_fn
AttributeError: 'Metadata' object has no attribute 'comps_fn'

Local variables in innermost frame:
self: <install_packages3.InstallLangpack object at 0x7fdae8950978>
repos: <generator object RepoDict.iter_enabled.<locals>.<genexpr> at 0x7fdae8928de0>
repo: <Repo fedora-modular>

Comment 1 ali.sherif10 2018-12-02 12:05:34 UTC
Created attachment 1510579 [details]
File: backtrace

Comment 2 ali.sherif10 2018-12-02 12:05:36 UTC
Created attachment 1510580 [details]
File: cgroup

Comment 3 ali.sherif10 2018-12-02 12:05:37 UTC
Created attachment 1510581 [details]
File: cpuinfo

Comment 4 ali.sherif10 2018-12-02 12:05:39 UTC
Created attachment 1510582 [details]
File: environ

Comment 5 ali.sherif10 2018-12-02 12:05:43 UTC
Created attachment 1510583 [details]
File: mountinfo

Comment 6 ali.sherif10 2018-12-02 12:05:44 UTC
Created attachment 1510584 [details]
File: namespaces

Comment 7 ali.sherif10 2018-12-02 12:05:46 UTC
Created attachment 1510585 [details]
File: open_fds

Comment 8 ali.sherif10 2018-12-02 22:05:41 UTC
Similar problem has been detected:

The GUI is frozen and I can't click on anything.
I kept clicking button x, until I have got the termination window. I found the crash, after termination.
I remember it had happened before, so it may be always reproducible.

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/system-config-language/system-config-language.py
crash_function: setup_conditional_pkgs
exception_type: AttributeError
executable:     /usr/share/system-config-language/system-config-language.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.5-300.fc29.x86_64
package:        system-config-language-3.4.2-7.fc29
reason:         install_packages3.py:169:setup_conditional_pkgs:AttributeError: 'Metadata' object has no attribute 'comps_fn'
runlevel:       N 5
type:           Python3
uid:            0

Comment 9 ali.sherif10 2018-12-03 13:23:42 UTC
Similar problem has been detected:

This program is completely unusable and always crashing.

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/system-config-language/system-config-language.py
crash_function: setup_conditional_pkgs
exception_type: AttributeError
executable:     /usr/share/system-config-language/system-config-language.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.5-300.fc29.x86_64
package:        system-config-language-3.4.2-7.fc29
reason:         install_packages3.py:169:setup_conditional_pkgs:AttributeError: 'Metadata' object has no attribute 'comps_fn'
runlevel:       N 5
type:           Python3
uid:            0

Comment 10 Parag Nemade 2018-12-03 13:38:04 UTC
Please note I am getting all the notifications and I am aware of this problem. Its just that I got some different job work which preventing me to give time for this package. 

As usual if you can fix this issue, patches are welcome. I will find time for this and fix this week.

Comment 11 Fedora Update System 2018-12-04 16:37:28 UTC
system-config-language-3.5.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27e153fbd4

Comment 12 Fedora Update System 2018-12-05 03:54:18 UTC
system-config-language-3.5.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-27e153fbd4

Comment 13 Fabiano 2018-12-13 12:17:59 UTC
*** Bug 1659034 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2018-12-15 03:18:43 UTC
system-config-language-3.5.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fabiano 2019-03-23 14:26:26 UTC
*** Bug 1692034 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.